package com.cultural.heritage.config;

import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.constant.BookConstant;
import com.cultural.heritage.exception.ThrowUtils;
import com.cultural.heritage.model.entity.BookingDate;
import com.cultural.heritage.service.book.BookingDateService;
import jakarta.annotation.Resource;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

@Configuration
public class BookingDateConfig {

    @Resource
    private BookingDateService bookingDateService;

    @Bean
    public Boolean initBookingDate() {
        System.out.println("这是Config");
        long count = bookingDateService.count();
        List<BookingDate> bookingDateList = new ArrayList<>();
        if (count == 0) {
            for (int i = 0; i < 3; i ++ ) {
                BookingDate bookingDateRent = bookingDateService.initBookingDate(BookConstant.RENT_CLOTHES, i);
                BookingDate bookingDateOwn = bookingDateService.initBookingDate(BookConstant.OWN_CLOTHES, i);
                bookingDateList.add(bookingDateRent);
                bookingDateList.add(bookingDateOwn);
            }
            boolean result = bookingDateService.saveBatch(bookingDateList);
            ThrowUtils.throwIf(!result, ErrorCode.OPERATION_ERROR);
        }
        return true;
    }
}
