package com.cultural.heritage.model.dto.cart;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "购物车记录添加请求体", requiredProperties = {"userId", "goodId", "quantity", "subtotal", "isGoodType"})
public class CartRecordAddRequest implements Serializable {

    /**
     * 商品id
     */
    @Schema(description = "商品id(id > 0)", example = "20")
    private Long goodId;

    /**
     * 数量
     */
    @Schema(description = "商品数量(quantity > 0)", example = "3")
    private Integer quantity;

    /**
     * 小计
     */
    @Schema(description = "小计(商品单价 * 数量)", example = "60")
    private BigDecimal subtotal;

    /**
     * 是否是常规类商品
     */
    @Schema(description = "是否是常规类商品", example = "1")
    private Integer isGoodType;



    @Serial
    private static final long serialVersionUID = 1L;
}
