package com.cultural.heritage.model.dto.good.service;

import com.cultural.heritage.model.dto.appointment.AppointmentDateUpdateRequest;
import com.cultural.heritage.model.dto.good.GoodUpdateRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "服务类商品更新请求体", requiredProperties = {"appointmentDateUpdateRequestList"})
public class ServiceGoodUpdateRequest extends GoodUpdateRequest implements Serializable {

    /**
     * 未来几天的预约详情
     */
    @Schema(description = "未来几天的预约详情")
    private List<AppointmentDateUpdateRequest> appointmentDateUpdateRequestList;


    @Serial
    private static final long serialVersionUID = 1L;
}
