package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.cultural.heritage.model.dto.snapshot.ContactsSnapshot;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 预约类订单表
 * @TableName   advance_order
 */
@Data
@TableName(value = "advance_order", autoResultMap = true)
public class AdvanceOrder implements Serializable {

    /**
     * 写真预约订单id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 预约类别
     */
    private String type;


    /**
     * 服装类别名称
     */
    private String clothesType;


    /**
     * 定金
     */
    private BigDecimal deposit;


    /**
     * 联系人信息快照
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private ContactsSnapshot contactsSnapshot;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 是否是室内
     */
    private Integer isIndoors;


    /**
     * 是否选择妆发服务
     */
    private Integer isMakeup;


    /**
     * 是否选择摄影服务
     */
    private Integer isPhotography;


    /**
     * 用户id
     */
    private Long userId;


    /**
     * 订单状态
     */
    private String orderStatus;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
