package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 服装信息表
 * @TableName   clothes_info
 */

@Data
@TableName("clothes_info")
public class ClothesInfo implements Serializable {


    /**
     * 服装id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 服装名称
     */
    private String name;


    /**
     * 服装图片
     */
    private String image;


    /**
     * 服装效果图
     */
    private String effectImg;


    /**
     * 服装简介
     */
    private String intro;


    /**
     * 服装价格
     */
    private BigDecimal price;


    /**
     * 所属服装等级
     */
    private String clothesType;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
