package com.cultural.heritage.model.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 优惠券
 * @TableName   coupon
 */
@Data
@TableName("coupon")
public class Coupon implements Serializable {

    /**
     * 优惠券id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 满减金额
     */
    private BigDecimal conditionAmount;


    /**
     * 需要的积分
     */
    private Integer requirePoints;


    /**
     * 发放数量
     */
    private Integer totalNum;


    /**
     * 剩余数量
     */
    private Integer residueNum;


    /**
     * 用户限领量
     */
    private Integer limitNum;

    /**
     * 优惠券简介
     */
    private String intro;

    /**
     * 优惠券图片
     */
    private String image;

    /**
     * 有效开始日期
     */
    private String startTime;


    /**
     * 有效截止日期
     */
    private String endTime;

    /**
     * 作用范围
     */
    private String useScope;

    /**
     * 使用说明
     */
    private String description;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
