package com.cultural.heritage.service.good.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.BusinessException;
import com.cultural.heritage.exception.ThrowUtils;
import com.cultural.heritage.mapper.AppointmentDateMapper;
import com.cultural.heritage.model.entity.AppointmentDate;
import com.cultural.heritage.model.entity.Good;
import com.cultural.heritage.service.good.AppointmentDateService;
import com.cultural.heritage.service.good.GoodService;
import jakarta.annotation.Resource;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

@Service
public class AppointmentDateServiceImpl extends ServiceImpl<AppointmentDateMapper, AppointmentDate> implements AppointmentDateService {


    @Resource
    private GoodService goodService;


    /**
     * 校验
     */
    @Override
    public void validAppointmentDate(AppointmentDate appointmentDate, boolean update) {
        Long id = appointmentDate.getId();
        String specificDate = appointmentDate.getSpecificDate();
        String timeSlot = appointmentDate.getTimeSlot();
        Integer isAvailable = appointmentDate.getIsAvailable();
        Long goodId = appointmentDate.getGoodId();
        String numberRange = appointmentDate.getNumberRange();
        if (update) {
            if (id == null) {
                throw new BusinessException(ErrorCode.PARAMS_ERROR, "参数id错误");
            }
        }
        if (ObjectUtils.isEmpty(isAvailable) || isAvailable != 0 && isAvailable != 1) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "是否可预约参数错误");
        }
        if (ObjectUtils.isEmpty(goodId)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "商品id参数为null");
        }
        Good good = goodService.getById(goodId);
        ThrowUtils.throwIf(good == null, ErrorCode.SYSTEM_ERROR, "商品不存在");
        if (StringUtils.isAnyBlank(specificDate, timeSlot, numberRange)) {
            throw new BusinessException(ErrorCode.PARAMS_ERROR, "存在参数为空");
        }

    }
}
